/**
 * This is a recursive algorithm for obtaining the greatest common divisor
 *  of two numbers
 */
import java.util.*;
public class Euclidean_Algorithm {

	public static void main(String[] args) {
	Scanner in = new Scanner(System.in);
	int X,Y;
	
	//Obtain user input
	//The value of X must be larger than the value of Y
	System.out.print("Enter the larger positive integer: ");
	X = in.nextInt();
	System.out.print("\nEnter the smaller positive integer: ");
	Y = in.nextInt();
	
	System.out.println("\n"+ gcd(X,Y));
	}
	
	public static int gcd(int x, int y){
		//The gcd of x and 0 is always x
		if (y==0){
			return x;
		}else if (x >= y && y > 0){
			return gcd(y, x % y);	
		}else{
			//-1 is the error value
			return -1;
		}
	}	
}
