/**
 * Use the recursive formula for compounding multiple times per year
 */

import java.text.NumberFormat;
import java.util.Scanner;
public class Multiple_Compound {
	public static void Calculate(){
		//Java-specific formatting and IO
		NumberFormat currency = NumberFormat.getCurrencyInstance();
		Scanner in = new Scanner(System.in);
		
		//Number of years, compounds per year, and periods
		Integer y, m, k;
		//The interest rate (in percentages) and principal
		Double i, principal;
		
		//Array to hold each successive value
		Double[] A;
		
		//Obtain data. Expect numeric input.
		System.out.println("What is the principal balance?");
		principal = in.nextDouble();
		System.out.println("What is the interest rate in percentages?");
		i = in.nextDouble();
		System.out.println("What is the number of compounds per year?");
		m = in.nextInt();
		System.out.println("For how many whole years will interest be compounded?");
		y = in.nextInt();
		
		//Find the number of compounding periods
		k = y*m;
		
		A = new Double[k+1];
		
		A[0] = principal;
		
		for (int j=1; j <= k; j++){
			A[j] = (1+(i/100.0)/m)*A[j-1];
		}
		
		System.out.println("The final balance of the account is: " + currency.format(A[k]));
		
		Compound_Interest.Restart();
	}
}
