
public class Searches {
	/**
	 * Searches items[] for goal
	 * pre: items sorted from low to high
	 * Post: position of goal is returned
	 * 	or -1 returned if goal not found
	 */
	public static int binarySearch(Comparable[] items, int start, int end, Comparable goal){
		if (start > end){
			return -1;
		}else {
			//Integer division truncates decimal
			int mid = (start + end)/2;
			if (goal.equals(items[mid])){
				return mid;
			}else if (goal.compareTo(items[mid]) < 0){
				return (binarySearch(items, start, mid-1, goal));
			}else {
				return (binarySearch(items, mid+1, end, goal));
			}
		}
	}
}
