/**
 * Test the binary search algorithm
 */

import java.util.*;
public class TestSearch {

	public static void displayArray(Object[] array){
		for (int i = 0; i < array.length; i++){
			System.out.print(array[i]+ " ");
		}
		System.out.println("\n");
	}
	
	public static void sortIntegerArray(){
		Scanner input = new Scanner(System.in);
		int numItems, searchNum, location;
		Integer[] test;
		Random rand = new Random();
		
		System.out.print("Enter the number of elements: ");
		numItems = input.nextInt();
		
		//Fill array with random Integers
		test = new Integer[numItems];
		
		for (int i = 0; i < test.length; i++){
			test[i] = rand.nextInt(100);
		}
		
		Sort.mergeSort(test, 0, test.length - 1);
		System.out.println("Sorted: ");
		displayArray(test);
		
		//Search for number in sorted array
		System.out.print("Enter a number to search for: ");
		searchNum = input.nextInt();
		while(searchNum != -1){
			location = Searches.binarySearch(test, 0, test.length-1, searchNum);
			System.out.println("Number at index: " + location);
			System.out.print("Enter a number to search for: ");
			searchNum = input.nextInt();
		}
	}
	
	public static void main(String[] args) {
		sortIntegerArray();
	}
}
