import java.util.Random;
import java.util.Scanner;
public class TestSort {

	public static void displayArray(Object[] array){
		for (int i = 0; i < array.length; i++){
			System.out.print(array[i]+ " ");
		}
		System.out.println("\n");
	}
	
	public static void main(String[] args) {
		//IO mechanisms
		Scanner input = new Scanner(System.in);
		int numItems;
		//Array of Integers
		Integer[] test;
		//Random number generator
		Random rand = new Random();
		
		System.out.print("Enter the number of elements: ");
		numItems = input.nextInt();
		
		//Fill array with random Integers
		test = new Integer[numItems];
		
		for (int i = 0; i < test.length; i++){
			test[i] = rand.nextInt(100);
		}
		
		System.out.println("Unsorted: ");
		displayArray(test);
		
		//Pipe the array to the Sort module to be sorted
		Sort.mergeSort(test, 0, test.length-1);
		
		System.out.println("Sorted: ");
		displayArray(test);
	}

}
