/**
 * Use the formula for calculating the balance at the end of any year
 */
import java.util.*;
import java.text.NumberFormat;
public class Annual_Formula {
	
	public static void Calculate(){
		//Java-specific formatting and IO
		NumberFormat currency = NumberFormat.getCurrencyInstance();
		Scanner in = new Scanner(System.in);
	
		//The time in whole years
		Integer t;
		//The rate in percentages
		Double r;
		//The final and initial balances, respectively
		Double An, A0;
	
		//Obtain necessary information from the user. Assume numeric data
		System.out.println("What is the principle balance (the starting balance)?");
		A0 = in.nextDouble();
		System.out.println("What is the interest rate (in percentages)?");
		r = in.nextDouble();
		System.out.println("For how many whole years will interest be compounded?");
		t = in.nextInt();
		
		//Multiply A0 by the growth rate raised to the t power
		An = A0*Math.pow((1+r/100.0), t);
		
		System.out.println("The final balance of the account is " + currency.format(An));
		
		Compound_Interest.Restart();
	}
}
