/**
 * @author Casey Coleman
 * Purpose: Display the use of various formulae for calculating interest
 * Difficulty: Moderate
 */
import java.util.*;
public class Compound_Interest {
	
	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		int decision;
		
		//Obtain decision. Assume integer data
		System.out.println("You have a few choices.\n1 - You can Recursively Compound Annually." +
				"\n2 - You can use the Annual Explicit Formula. \n3 - You can Recursively Compound Multiple Times." +
				"\n4 - You can solve for time in years.\n5 - You can find the APR for a given year." +
				"\n--What do you choose?(1-5, 0 to quit)");
		decision = in.nextInt();
		
		if (decision == 1){
			Recursive_Annual.Calculate();
		}else if (decision == 2){
			Annual_Formula.Calculate();
		}else if (decision == 3){
			Multiple_Compound.Calculate();
		}else if (decision == 4){
			Find_Time.Calculate();
		}else if (decision == 5){
			Find_APR.Calculate();
		}else if (decision == 0){
			//Do nothing! Let the code terminate
		}else{
			System.out.println("You're input was invalid. please try again.");
			//Start Over
			Compound_Interest.main(null);
		}
	}
	
	
	/**
	 * Provide the option for other modules to repeat
	 */
	public static void Restart(){
		Scanner in = new Scanner(System.in);
		String input;
		
		System.out.println("Is there more you would like to do? (Y/N)");
		
		input = in.next();
		if (input.contains("y") || input.contains("Y")){
			System.out.println("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
			Compound_Interest.main(null);
		}
	}
}
