/**
 * Use the formula for finding the percent change to find the APR
 */
import java.util.*;
import java.text.NumberFormat;
public class Find_APR {

	public static void Calculate(){
		//Java-specific formatting and IO
		NumberFormat percent = NumberFormat.getInstance();
		Scanner in = new Scanner(System.in);
		
		//The first and second balances
		Double A1, A2;
		//The Annual Percentage Rate
		Double APR;
		
		//Obtain user input. Assume numeric data
		System.out.println("What is the first balance?");
		A1 = in.nextDouble();
		System.out.println("What is the balance at the same time next year?");
		A2 = in.nextDouble();
		
		//Calculate rate and convert to a percent
		APR = ((A2-A1)/A1)*100;
		
		System.out.println("The Annual Percentage Rate of the two balances is: " + percent.format(APR)+ "%");
		
		Compound_Interest.Restart();
	}
}
